# Account

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the account. Account names must be unique within an SDKMS instance. | [default to null]
**AcctId** | **string** | Account ID uniquely identifying this account. | [default to null]
**Description** | **string** | Description of this account. | [optional] [default to null]
**Organization** | **string** | Organization (e.g. company name) that owns this account | [optional] [default to null]
**Country** | **string** | Main country associated with this account | [optional] [default to null]
**Phone** | **string** | Contact phone number associated with this account | [optional] [default to null]
**NotificationPref** | [***NotificationPref**](NotificationPref.md) |  | [optional] [default to null]
**AuthConfig** | [***AuthConfig**](AuthConfig.md) |  | [optional] [default to null]
**Subscription** | [***SubscriptionType**](SubscriptionType.md) |  | [default to null]
**State** | [***AccountState**](AccountState.md) |  | [default to null]
**AuthType** | [***AuthType**](AuthType.md) |  | [default to null]
**LoggingConfigs** | [**map[string]LoggingConfig**](LoggingConfig.md) | Map from UUIDs to LoggingConfig objects | [optional] [default to null]
**Enabled** | **bool** | Whether this account is enabled. This may only be changed by sysadmins. | [optional] [default to null]
**CreatedAt** | **string** | When this account was created. | [optional] [default to null]
**InitialPurchaseAt** | **string** | When this accout was upgraded a paid subscription. | [optional] [default to null]
**PendingSubscriptionChangeRequest** | [***SubscriptionChangeRequest**](SubscriptionChangeRequest.md) |  | [optional] [default to null]
**CustomMetadata** | **map[string]string** | Sysadmin-defined metadata for this account. Stored as key-value pairs. This field is only visible to sysadmin users.  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


