# \DigestApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ComputeDigest**](DigestApi.md#ComputeDigest) | **Post** /crypto/v1/digest | Compute a message digest of data
[**ComputeMac**](DigestApi.md#ComputeMac) | **Post** /crypto/v1/keys/{key-id}/mac | Compute MAC using a key
[**ComputeMacEx**](DigestApi.md#ComputeMacEx) | **Post** /crypto/v1/mac | Compute MAC using a key
[**VerifyMac**](DigestApi.md#VerifyMac) | **Post** /crypto/v1/keys/{key-id}/macverify | Verify MAC using a key
[**VerifyMacEx**](DigestApi.md#VerifyMacEx) | **Post** /crypto/v1/macverify | Verify MAC using a key


# **ComputeDigest**
> DigestResponse ComputeDigest(ctx, body)
Compute a message digest of data

This returns the digest of data provided in request body using the algorithm specified in request body. Maximum size of request body supported is 512KB. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**DigestRequest**](DigestRequest.md)| Digest request | 

### Return type

[**DigestResponse**](DigestResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ComputeMac**
> MacGenerateResponse ComputeMac(ctx, keyId, body)
Compute MAC using a key

Compute a cryptographic Message Authentication Code on a message using a symmetric key. The key must have the MACGenerate operation enabled. Asymmetric keys may not be used to generate MACs. They can be used with the sign and verify operations. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**MacGenerateRequest**](MacGenerateRequest.md)| MAC generation request | 

### Return type

[**MacGenerateResponse**](MacGenerateResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ComputeMacEx**
> MacGenerateResponse ComputeMacEx(ctx, body)
Compute MAC using a key

Compute a cryptographic Message Authentication Code on a message using a symmetric key. The key must have the MACGenerate operation enabled. Asymmetric keys may not be used to generate MACs. They can be used with the sign and verify operations. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**MacGenerateRequestEx**](MacGenerateRequestEx.md)| MAC generation request | 

### Return type

[**MacGenerateResponse**](MacGenerateResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **VerifyMac**
> MacVerifyResponse VerifyMac(ctx, keyId, body)
Verify MAC using a key

The data to be MACed, the algorithm, and a pre-computed MAC are provided in the request body, and the key id is provided in the URL. SDKMS computes the MAC of the data and compares it with the specified MAC, and returns the outcome of the MAC verification in the response body. Maximum size of request body supported is 512KB. Supported digest algorithms are - SHA1, SHA256, SHA384, and SHA512.             

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**MacVerifyRequest**](MacVerifyRequest.md)| MAC Verify request | 

### Return type

[**MacVerifyResponse**](MacVerifyResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **VerifyMacEx**
> MacVerifyResponse VerifyMacEx(ctx, body)
Verify MAC using a key

The data to be MACed, the algorithm, and a pre-computed MAC are provided in the request body, and the key id is provided in the URL. SDKMS computes the MAC of the data and compares it with the specified MAC, and returns the outcome of the MAC verification in the response body. Maximum size of request body supported is 512KB. Supported digest algorithms are - SHA1, SHA256, SHA384, and SHA512. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**MacVerifyRequestEx**](MacVerifyRequestEx.md)| MAC Verify request | 

### Return type

[**MacVerifyResponse**](MacVerifyResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

