# \SignAndVerifyApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**BatchSign**](SignAndVerifyApi.md#BatchSign) | **Post** /crypto/v1/keys/batch/sign | Batch sign with one or more private keys
[**BatchVerify**](SignAndVerifyApi.md#BatchVerify) | **Post** /crypto/v1/keys/batch/verify | Batch verify with one or more private keys
[**Sign**](SignAndVerifyApi.md#Sign) | **Post** /crypto/v1/keys/{key-id}/sign | Sign with a private key
[**SignEx**](SignAndVerifyApi.md#SignEx) | **Post** /crypto/v1/sign | Sign with a private key
[**Verify**](SignAndVerifyApi.md#Verify) | **Post** /crypto/v1/keys/{key-id}/verify | Verify a signature with a key
[**VerifyEx**](SignAndVerifyApi.md#VerifyEx) | **Post** /crypto/v1/verify | Verify a signature with a key


# **BatchSign**
> []BatchSignResponseInner BatchSign(ctx, body)
Batch sign with one or more private keys

The data to be signed and the key ids to be used are provided in the request body. The signature is returned in the response body. The ordering of the body matches the ordering of the request. An individual status code is returned for each batch item. Maximum size of the entire batch request is 512 KB. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**[]SignRequestEx**](BatchSignRequest.md)| Batch Sign request | 

### Return type

[**[]BatchSignResponseInner**](BatchSignResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **BatchVerify**
> []BatchVerifyResponseInner BatchVerify(ctx, body)
Batch verify with one or more private keys

The signature to be verified and the key ids to be used are provided in the request body. The result (true of false) returned in the response body. The ordering of the body matches the ordering of the request. An individual status code is returned for each batch item. Maximum size of the entire batch request is 512 KB. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**[]VerifyRequestEx**](BatchVerifyRequest.md)| Batch Verify request | 

### Return type

[**[]BatchVerifyResponseInner**](BatchVerifyResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Sign**
> SignResponse Sign(ctx, keyId, body)
Sign with a private key

Sign data with a private key. The signing key must be an asymmetric key with the private part present. The sign operation must be enabled for this key. Symmetric keys  may not be used to sign data. They can be used with the computeMac and verifyMac methods. <br> The data must be hashed with a SHA-1 or SHA-2 family hash algorithm. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**SignRequest**](SignRequest.md)| Signature request | 

### Return type

[**SignResponse**](SignResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **SignEx**
> SignResponse SignEx(ctx, body)
Sign with a private key

Sign data with a private key. The signing key must be an asymmetric key with the private part present. The sign operation must be enabled for this key. Symmetric keys  may not be used to sign data. They can be used with the computeMac and verifyMac methods. <br> The data must be hashed with a SHA-1 or SHA-2 family hash algorithm. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**SignRequestEx**](SignRequestEx.md)| Signature request | 

### Return type

[**SignResponse**](SignResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Verify**
> VerifyResponse Verify(ctx, keyId, body)
Verify a signature with a key

Verify a signature with a public key. The verifying key must be an asymmetric key with the verify operation enabled. Symmetric keys may not be used to verify data. They can be used with the computeMac and verifyMac operations. <br> The signature must have been created with a SHA-1 or SHA-2 family hash algorithm. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **keyId** | **string**| kid of security object | 
  **body** | [**VerifyRequest**](VerifyRequest.md)| Verification request | 

### Return type

[**VerifyResponse**](VerifyResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **VerifyEx**
> VerifyResponse VerifyEx(ctx, body)
Verify a signature with a key

Verify a signature with a public key. The verifying key must be an asymmetric key with the verify operation enabled. Symmetric keys may not be used to verify data. They can be used with the computeMac and verifyMac operations. <br> The signature must have been created with a SHA-1 or SHA-2 family hash algorithm. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**VerifyRequestEx**](VerifyRequestEx.md)| Verification request | 

### Return type

[**VerifyResponse**](VerifyResponse.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

