/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20181211
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms


// Identifies an object acted upon by an approval request.
type ApprovalSubject struct {
	// The ID of the group being acted upon, if the subject is a group.
	Group string `json:"group,omitempty"`

	// The ID of the security object being acted upon, if the subject is a security object.
	Sobject string `json:"sobject,omitempty"`

	// The ID of the app being acted upon, if the subject is a app.
	App string `json:"app,omitempty"`

	// The ID of the plugin being acted upon, if the subject is a app.
	Plugin string `json:"plugin,omitempty"`
}


