/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20181211
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type Plugin struct {
	// Name of the plugin. Plugin names must be unique within an account.
	Name string `json:"name"`

	// Plugin ID uniquely identifying this plugin.
	PluginId string `json:"plugin_id"`

	// Description of this plugin.
	Description string `json:"description,omitempty"`

	// The account ID of the account that this plugin belongs to.
	AcctId string `json:"acct_id"`

	// An array of security group IDs. The plugin belongs to each Security Group in this array.
	Groups []string `json:"groups"`

	// The default group of this plugin. This is the group where security objects will be created by default by this plugin.
	DefaultGroup string `json:"default_group"`

	Source *PluginSource `json:"source"`

	// Whether this plugin is enabled.
	Enabled bool `json:"enabled"`

	PluginType *PluginType `json:"plugin_type"`

	Creator *CreatorType `json:"creator"`

	// When this plugin was created.
	CreatedAt string `json:"created_at"`

	// When this plugin was last run.
	LastrunAt string `json:"lastrun_at"`

	// When this plugin was last updated.
	LastupdatedAt string `json:"lastupdated_at"`
}


