/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20181211
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms


// RSA-specific options.
type RsaOptions struct {
	// Specify on Create only. Returned on Get. Size in bits (not bytes) of the RSA key.
	KeySize int32 `json:"key_size,omitempty"`

	// Specify on Create only. Public exponent to use for generating the RSA key.
	PublicExponent int32 `json:"public_exponent,omitempty"`

	// Encryption policy for this RSA key. When doing an encryption or key wrapping operation, the policies are evaluated against the specified parameters one by one. If one matches, the operation is allowed. If none match, including if the policy list is empty, the operation is disallowed. Missing optional parameters will have their defaults specified according to the matched policy. The default for new keys is `[{\"padding\":{\"OAEP\":{}}]`. If (part of) a constraint is not specified, anything is allowed for that constraint. To impose no constraints, specify `[{}]`. 
	EncryptionPolicy []RsaEncryptionPolicy `json:"encryption_policy"`

	// Signature policy for this RSA key. When doing a signature operation, the policies are evaluated against the specified parameters one by one. If one matches, the operation is allowed. If none match, including if the policy list is empty, the operation is disallowed. Missing optional parameters will have their defaults specified according to the matched policy. The default for new keys is `[{}]` (no constraints). If (part of) a constraint is not specified, anything is allowed for that constraint. 
	SignaturePolicy []RsaSignaturePolicy `json:"signature_policy,omitempty"`
}


