/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20181211
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type SignRequest struct {
	HashAlg *DigestAlgorithm `json:"hash_alg"`

	// Hash of the data to be signed. Exactly one of `hash` and `data` is required. 
	Hash string `json:"hash,omitempty"`

	// Data to be signed. Exactly one of `hash` and `data` is required. To reduce request size and avoid reaching the request size limit, prefer `hash`. 
	Data string `json:"data,omitempty"`

	Mode *SignatureMode `json:"mode,omitempty"`

	DeterministicSignature bool `json:"deterministic_signature,omitempty"`
}


